Bug 10096 - xine segfault
: xine segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libxine)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-06 13:01 by
Modified: 2006-11-02 17:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-06 13:01:52
После обновления glibc до 2.5 xine стабильно падает.

Платформа - x86_64.
------- Comment #1 From 2006-10-10 15:32:27 -------
(In reply to comment #0)

Не затруднит проверить это:
ftp.linux.kiev.ua/pub/Linux/ALT/people/led/Sisyphus/i586/RPMS.led/libxine-1.1.2-alt2.1.i586.rpm
?
------- Comment #2 From 2006-10-10 16:09:32 -------
Затруднит.. у меня нет i586 - это на x86_64 вылезло.
------- Comment #3 From 2006-10-10 17:30:13 -------
тупая пересборка не помогла - всё равно падает ;(

Падает где-то внутри ffmpeg, как мне показалось:
xine: found demuxer plugin: AVI/RIFF demux plugin
ffmpeg_video_dec: direct rendering enabled
xiTK received SIGSEGV signal, RIP.
------- Comment #4 From 2006-10-10 17:40:28 -------
(In reply to comment #3)
> Падает где-то внутри ffmpeg, как мне показалось:

Да, это я уже заметил... Потому как и на i586 падает при нажатии кнопки Стоп (в 
любом xine-проигрывателе). После пересборка с
%define ffmpeglib int
вроде перестаёт падать... попробую в SVN "лекарство" поискать...
------- Comment #5 From 2006-10-25 09:18:29 -------
Оно всё ещё продолжает падать.
------- Comment #6 From 2006-10-25 13:44:04 -------
Если в ближайшее время не получится починить, то придётся, наверное, для x86_64 
принудительно собирать с внутренним ffmpeg. В FC делают так и даже не пытаются 
больше собирать с внешним и другим не рекомендуют, в Gentoo делают и так и 
эдак, но решения даного бага у них тоже нет :(
------- Comment #7 From 2006-11-02 17:14:57 -------
fixed in xine-1.1.2-alt5
------- Comment #8 From 2006-11-02 17:17:11 -------
Спасибо, всё отлично работает!